### Method

# Gio DBusMethodInvocation get_connection

since: 2.26

#### Declaration

    GDBusConnection*
    g_dbus_method_invocation_get_connection (
      GDBusMethodInvocation* invocation
    )

#### Description

Gets the `GDBusConnection` the method was invoked on.

Available since: 2.26

#### Return value

Type: `GDBusConnection`

A `GDBusConnection`. Do not free, it is owned by `invocation`.

The returned data is owned by the instance.